Bug 149260

Summary: Remove XHR_TIMEOUT compilation guard
Product: WebKit Reporter: youenn fablet <youennf>
Component: XMLAssignee: youenn fablet <youennf>
Status: RESOLVED FIXED    
Severity: Normal CC: ap, commit-queue, darin, ossy
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch for landing none

Description youenn fablet 2015-09-17 06:35:09 PDT
We should remove XHR_TIMEOUT compilation guard and rename didTimeout as didReachTimeout.
Comment 1 youenn fablet 2015-09-17 06:46:36 PDT
Created attachment 261390 [details]
Patch
Comment 2 Csaba Osztrogon√°c 2015-09-17 08:39:21 PDT
Comment on attachment 261390 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=261390&action=review

If we remove a compile time guard we should propose it on webkit-dev mailing list.

> Tools/Scripts/webkitperl/FeatureList.pm:-456
> -    { option => "xhr-timeout", desc => "Toggle XHR Timeout support",
> -      define => "ENABLE_XHR_TIMEOUT", default => (isEfl() || isGtk() || isAppleMacWebKit()), value => \$xhrTimeoutSupport },
> -

Please remove xhrTimeoutSupport variable in line 151.
Comment 3 Benjamin Poulain 2015-09-18 14:47:11 PDT
Comment on attachment 261390 [details]
Patch

I don't know anything about this code but Alexey would have protested by now if there were issues :)
Comment 4 youenn fablet 2015-09-20 02:35:02 PDT
Thanks for the reviews.

> I don't know anything about this code but Alexey would have protested by now
> if there were issues :)

I should have mentionned this was discussed as part of bug 98156.
ap agreed to remove it.

> Please remove xhrTimeoutSupport variable in line 151.

OK
Comment 5 youenn fablet 2015-09-20 02:36:07 PDT
Created attachment 261609 [details]
Patch for landing
Comment 6 WebKit Commit Bot 2015-09-20 03:30:23 PDT
Comment on attachment 261609 [details]
Patch for landing

Clearing flags on attachment: 261609

Committed r190025: <http://trac.webkit.org/changeset/190025>
Comment 7 WebKit Commit Bot 2015-09-20 03:30:29 PDT
All reviewed patches have been landed.  Closing bug.